JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FlexItem::Margin Struct Referencefinal
juce_gui_basics » layout

Represents a margin. More...

`#include <juce_FlexItem.h>`

## Public Member Functions
| Margin () noexcept
| Creates a margin of size zero.
| Margin (float size) noexcept
| Creates a margin with this size on all sides.
| Margin (float top, float right, float bottom, float left) noexcept
| Creates a margin with these sizes.

## Public Attributes
float | left
| Left margin size.
float | right
| Right margin size.
float | top
| Top margin size.
float | bottom
| Bottom margin size.

## Detailed Description

Represents a margin.

## Constructor & Destructor Documentation

## ◆ Margin() [1/3]

FlexItem::Margin::Margin | ( |  | ) |
| noexcept

Creates a margin of size zero.

## ◆ Margin() [2/3]

FlexItem::Margin::Margin | ( | float | size | ) |
| noexcept

Creates a margin with this size on all sides.

## ◆ Margin() [3/3]

FlexItem::Margin::Margin | ( | float | top,
|  | float | right,
|  | float | bottom,
|  | float | left )
| noexcept

Creates a margin with these sizes.

## Member Data Documentation

## ◆ left

float FlexItem::Margin::left

Left margin size.

## ◆ right

float FlexItem::Margin::right

Right margin size.

## ◆ top

float FlexItem::Margin::top

Top margin size.

## ◆ bottom

float FlexItem::Margin::bottom

Bottom margin size.

The documentation for this struct was generated from the following file:

- juce_FlexItem.h